Loading...
Searching...
No Matches
ErasableBpGraphComponent< BAS > Class Template Reference

## Detailed Description

template<typename BAS = BaseBpGraphComponent>
class lemon::concepts::ErasableBpGraphComponent< BAS >

This class describes the interface of erasable undirected bipartite graphs. It extends BaseBpGraphComponent with functions for removing nodes and edges from the graph. This concept requires AlterableBpGraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for ErasableBpGraphComponent< BAS >:
[legend]

## Additional Inherited Members

Public Types inherited from BaseDigraphComponent
typedef GraphItem< 'n'> | Node
| Node class of the digraph.
typedef GraphItem< 'a'> | Arc
| Arc class of the digraph.
Public Member Functions inherited from ErasableGraphComponent< BaseBpGraphComponent >
void | erase (const Node &)
| Erase a node from the graph.
Public Member Functions inherited from BaseBpGraphComponent
bool | red (const Node &) const
| Gives back true for red nodes.
bool | blue (const Node &) const
| Gives back true for blue nodes.
RedNode | redNode (const Edge &) const
| Gives back the red end node of the edge.
BlueNode | blueNode (const Edge &) const
| Gives back the blue end node of the edge.
RedNode | asRedNodeUnsafe (const Node &) const
| Converts the node to red node object.
BlueNode | asBlueNodeUnsafe (const Node &) const
| Converts the node to blue node object.
RedNode | asRedNode (const Node &) const
| Converts the node to red node object.
BlueNode | asBlueNode (const Node &) const
| Converts the node to blue node object.
Public Member Functions inherited from BaseGraphComponent
Node | u (const Edge &) const
| Return one end node of an edge.
Node | v (const Edge &) const
| Return the other end node of an edge.
Arc | direct (const Edge &, bool) const
| Return a directed arc related to an edge.
Arc | direct (const Edge &, const Node &) const
| Return a directed arc related to an edge.
bool | direction (const Arc &) const
| Return the direction of the arc.
Arc | oppositeArc (const Arc &) const
| Return the opposite arc.
Public Member Functions inherited from BaseDigraphComponent
Node | source (const Arc &) const
| Return the source node of an arc.
Node | target (const Arc &) const
| Return the target node of an arc.
Node | oppositeNode (const Node &, const Arc &) const
| Return the opposite node on the given arc.